Page MenuHomePhabricator

Integrate Sentry with beta cluster
Closed, DeclinedPublic

Description

As a first step towards deploying Sentry to production, create a deployment-sentry machine which collects JS errors directly and backend errors via Logstash from the beta cluster.

Event Timeline

Tgr created this task.Jul 25 2015, 12:01 AM
Tgr raised the priority of this task from to Needs Triage.
Tgr updated the task description. (Show Details)
Tgr added a subscriber: Tgr.
Restricted Application added subscribers: Luke081515, Aklapper. · View Herald TranscriptJul 25 2015, 12:01 AM
Tgr triaged this task as Normal priority.Jul 25 2015, 12:04 AM
Tgr moved this task from Backlog to Goals on the Sentry board.
Tgr set Security to None.
mmodell raised the priority of this task from Normal to Needs Triage.Jul 27 2015, 7:33 PM
mmodell triaged this task as Normal priority.
mmodell moved this task from To Triage to Backlog on the Beta-Cluster-Infrastructure board.
mmodell added a subscriber: mmodell.

I'm guessing this is something to do with the 403s I see in the JS console network tab on beta?

Probably the Sentry config (specifically the API key) got reset during some maintenance of Cloud VPS boxes. I don't have the time to fix it right now; it should be harmless but if it's getting in the way you can get rid of it by unsetting $wgSentryDsn.

Change 399680 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] BETA: unset $wgSentryDsn

https://gerrit.wikimedia.org/r/399680

Change 399680 abandoned by Addshore:
BETA: set wmgSentryDsn to null

https://gerrit.wikimedia.org/r/399680

Tgr closed this task as Declined.May 20 2019, 12:01 PM